Subject: bug#48026: closed (Re: bug#48026: [PATCH] Possible typo in tramp-get-remote-gid)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Apr 2021 08:01:02 +0000

Your bug report

#48026: [PATCH] Possible typo in tramp-get-remote-gid

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48026: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48026
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48026: [PATCH] Possible typo in tramp-get-remote-gid
From: Michael Albinus <[email-masked]>
To: Dario Gjorgjevski <[email-masked]>
Cc: [email-masked]
Date: Mon, 26 Apr 2021 10:00:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 28.1

Dario Gjorgjevski <[email-masked]> writes:

> Hi,

Hi Dario,

> I was browsing through TRAMP's source code and noticed a possible typo
> in tramp-get-remote-gid.  Please note that I have almost no familiarity
> with the code, so it may well not even be a typo.

It is a typo, indeed. Thanks for reporting!

I've pushed your patch to master, closing the bug.

> Best regards,
> Dario

Best regards, Michael.

Subject: [PATCH] Possible typo in tramp-get-remote-gid
From: Dario Gjorgjevski <[email-masked]>
To: [email-masked]
Date: Mon, 26 Apr 2021 09:10:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I was browsing through TRAMP's source code and noticed a possible typo
in tramp-get-remote-gid.  Please note that I have almost no familiarity
with the code, so it may well not even be a typo.

Here is what I am talking about:

>From 87ed8e1e19fd4ddb0922d907a45569c61598369d Mon Sep 17 00:00:00 2001
From: Dario Gjorgjevski <[email-masked]>
Date: Mon, 26 Apr 2021 09:01:51 +0200
Subject: [PATCH] Fix typo in tramp-get-remote-gid

* lisp/net/tramp.el (tramp-get-remote-gid): Pass the correct operation
to find-file-name-handler.
---
 lisp/net/tramp.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/net/tramp.el b/lisp/net/tramp.el
index a411aaf..dc34b8f 100644
--- a/lisp/net/tramp.el
+++ b/lisp/net/tramp.el
@@ -5080,7 +5080,7 @@ ID-FORMAT valid values are `string' and `integer'."
     (or (when-let
 	    ((handler
 	      (find-file-name-handler
-	       (tramp-make-tramp-file-name vec) 'tramp-get-remote-uid)))
+	       (tramp-make-tramp-file-name vec) 'tramp-get-remote-gid)))
 	  (funcall handler #'tramp-get-remote-gid vec id-format))
 	;; Ensure there is a valid result.
 	(and (equal id-format 'integer) tramp-unknown-id-integer)
-- 
2.31.GIT

Best regards,
Dario

-- 
$ keyserver=hkps://hkps.pool.sks-keyservers.net
$ keyid=744A4F0B4F1C9371
$ gpg --keyserver $keyserver --search-keys $keyid